import { createApp } from 'vue';
import App from './App.vue';
import router from './router';

const app = createApp(App);
// 引入路由对象实例
import "ant-design-vue/dist/antd.css"; // or 'ant-design-vue/dist/antd.less'
import "@/assets/css/reset.css";
import { message, Tooltip, Switch } from "ant-design-vue";

import CoutomSentry from "@/uilts/sentry.js"

CoutomSentry.initVue(app)

message.config({
  top: `10px`,
  duration: 3,
  maxCount: 1,
})

app.use(Tooltip)
app.use(Switch)

app.use(message)
app.use(router);
app.mount('#app')
